@import '../../scss';

.container {
  // margin: 0 auto;
  position: relative;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  min-height: 600px;
  @media (min-width: 768px) {
    max-width: 100%;
    margin: 0 auto 32px auto;
  }
  .description {
    width: 45%;
    margin-right: 10%;
    .title {
      margin-top: 0;
    }
    .paragraph {
      display: flex;
      flex-direction: column;
      font-size: 24px;
      font-weight: 300;
      .mintText {
        color: #04dfc7;
        font-weight: bolder;
      }
    }
  }
  .details {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 25px 56px 78px 58px;

    // background: white;
    // box-shadow: 10px 10px #1f6fe5;

    .row {
      padding-bottom: 30px;
      display: flex;
      flex-direction: column;
      .rowTitle {
        color: #1f6fe5;
        font-weight: bold;
        font-size: 20px;
        margin-bottom: 10px;
      }
      .rowValue {
        color: black;
        font-weight: 500;
        font-size: 22px;
      }
    }

    @media (min-width: 768px) {
      width: 55%;
      padding: 0 0 3% 0;
    }
  }
}

.placeholder {
  display: flex;
  margin-left: 8px;
}

.innerLabel {
  display: flex;
  align-items: center;
  cursor: pointer;
  color: #1f6fe5;
  font-weight: 500;
  font-size: 22px;
  p {
    margin-right: 8px;
  }
}

.pageLoader {
  position: absolute;
  z-index: 99;
  top: 5%;
  left: 0;
  width: 100%;
  opacity: 0.9;
  background-color: #000000;
}

.treeselect {
  border: 1px solid #04dfc7;
  cursor: pointer;
  text-decoration: none;
  display: inline;
  margin: 0 0 30px;
  background-color: #fff;
  font-size: 20px;
  letter-spacing: 1.85px;
  color: black;
  font-family: WorkSans;
  font-weight: bold;
  text-transform: uppercase;
  height: 50px;
  padding: 0 17px;
}

.connect {
  button {
    font-family: Montserrat;
    font-weight: 600;
    font-size: 14px;
    letter-spacing: 2%;
    white-space: nowrap;
    color: white;
    border: 0;
    text-transform: uppercase;
    background: #00b318;
    box-shadow: 0px 0px 80px rgba(27, 204, 50, 0.5);
    border-radius: 15px;
    width: 223.71px;
    height: 41.81px;
    margin-bottom: 18px;
    @media (min-width: 768px) {
      width: 347.81px;
      height: 65px;
      font-size: 18px;
      line-height: 21.94px;
    }
  }
}

// @media all and (device-width: 768px) and (device-width: 1024px) {
//   .modal {
//     top: 79%;
//     left: 50%;
//     z-index: 1000;
//     position: fixed;
//     max-width: 100%;
//     transform: translate(-50%, -50%);
//     background: #ffffff;
//     border-radius: 10px;
//   }
// }

.upperContainer {
  position: relative;
  width: 265px;
  height: 265px;
  margin: 41px auto;
  z-index: 0;

  @media (min-width: 768px) {
    margin: 87px 0 68px;
    width: 350px;
    height: 350px;
  }
}

.middleContainer {
  display: flex;
  height: auto;
  margin: 41px auto;

  @media (min-width: 768px) {
    width: 350px;
    height: auto;
  }
}

.lowerContainer {
  display: flex;
  flex-direction: column;
  width: 300px;
  height: auto;
  background: linear-gradient(114.49deg, #4b3764 0%, rgba(163, 91, 255, 0) 100%);
  filter: drop-shadow(0px 4px 4px rgba(0, 0, 0, 0.25));
  box-shadow: 0px 0px 50px 3px rgba(255, 255, 255, 0.15);
  border-radius: 15px;
  align-items: center;
  position: relative;
  padding: 0 30px 28px;
  @media (min-width: 768px) {
    width: 429px;
    padding: 0 51px 26px;
  }

  .notEligibleInfo {
    margin-top: 20px;
    color: red;
  }
}

.status {
  position: absolute;
  font-family: Montserrat;
  font-style: normal;
  top: -32px;
  font-weight: 800;
  font-size: 10px;
  line-height: 12px;
  text-align: center;
  letter-spacing: 0.02em;
  text-transform: uppercase;
  color: #00b318;
  @media (min-width: 768px) {
    font-size: 12px;
    line-height: 15px;
    top: -40px;
  }
}
.relativeWrapper {
  position: relative;
  margin-top: 41px;
  height: 42px;
  @media (min-width: 768px) {
    height: 65px;
  }
}
.randomize {
  position: absolute;
  cursor: pointer;
  padding: 0;
  top: 12px;
  right: 16px;
  background-color: transparent;
  border: 0;
  img {
    height: 19px;
    width: 21px;
  }
  @media (min-width: 768px) {
    top: 18px;
    right: 26px;
    img {
      width: 32px;
      height: 30px;
    }
  }
  &:disabled {
    cursor: not-allowed;
  }
}
.hidden {
  display: none;
}

.buttonWrapper {
  position: relative;
  display: flex;
  margin-top: 30px;
  flex-direction: column;
  align-items: center;
  @media (min-width: 768px) {
    margin-top: 38px;
  }
}
.indicatorContainer {
  position: absolute;
  padding-top: 30px;
  right: -32px;
  div {
    width: 19.2px;
    height: 19.2px;
    border-radius: 100%;
    margin-bottom: 28px;
  }
  @media (min-width: 768px) {
    right: -78px;
    width: 29.85px;
    height: 29.85px;
    padding-top: 44px;
    div {
      margin-bottom: 44px;
      width: 29.85px;
      height: 29.85px;
    }
  }
  .green {
    background: rgba(77, 255, 100, 0.25);
  }
  .red {
    background: rgba(255, 51, 51, 0.25);
  }
  .orange {
    background: rgba(255, 149, 0, 0.25);
  }
}

.slider {
  background-color: rgba(255, 255, 255, 0.25);
  width: 225px;
  margin-top: 0;
  background-color: transparent;
  :global(.rc-slider-mark-text) {
    width: 100%;

    &:first-child {
      text-align: left;
      transform: none !important;
    }

    &:last-child {
      text-align: right;
      transform: translateX(-100%) !important;
    }
  }
  @media (min-width: 768px) {
    width: 348px;
    margin-top: 15px;
  }
}

.sliderInfo {
  margin: 0;
  font-family: Montserrat;
  font-weight: 500;
  font-size: 10px;
  padding: 0;
  color: rgba(255, 255, 255, 0.5);
}

.percentage {
  font-family: Montserrat;
  color: #fff;
  margin-top: 8px;
  font-weight: 600;
  font-size: 12px;
  line-height: 14.63px;
  letter-spacing: 0.02em;
}

.walletInputNotConnected {
  margin-bottom: 20px;
}

.connectWalletBackendMint {
  button {
    margin-bottom: 0px;
  }
}

.walletInput {
  margin-top: 41px;

  div {
    position: relative;
    img {
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
      width: 100px;
      height: 100px;
    }
  }

  input[type='text'] {
    margin-top: 10px;
    background-color: $c-white;
    box-sizing: border-box;
    width: 224px;
    height: 42px;
    border-radius: 15px;
    border: 0;
    font-weight: 500;
    font-family: Montserrat;
    font-style: normal;
    line-height: 22px;
    font-size: 10px;
    letter-spacing: 0.02em;
    padding-left: 11px;
    color: #052152;
    text-shadow: 0px 2px 50px #ffffff;
    font-size: 10px;
    margin-bottom: 5px;

    &:disabled {
      color: #585a5e;
      cursor: not-allowed;
      background-color: $c-alto;

      &::placeholder {
        color: #c0bebe;
      }
    }
    &:focus,
    &:focus-visible {
      border: 0;
      outline: 0;
    }

    &::placeholder {
      color: rgba(2, 12, 30, 0.5);
    }

    @media (min-width: 768px) {
      font-size: 12px;
      height: 45px;
      width: 347.81px;
      padding: 0px 0 0px 10px;
    }
  }
}

.error {
  color: red;
  font-size: 16px;
  margin-top: 5px;
}

.inputData {
  background-color: $c-white;
  box-sizing: border-box;
  width: 224px;
  height: 42px;
  border-radius: 15px;
  border: 0;
  font-family: Montserrat;
  font-style: normal;
  font-weight: 600;
  line-height: 22px;
  font-size: 12px;
  letter-spacing: 0.02em;
  padding-left: 11px;
  color: #052152;
  text-shadow: 0px 2px 50px #ffffff;

  &:disabled {
    cursor: not-allowed;
    background-color: $c-alto;

    &::placeholder {
      color: #c0bebe;
    }
  }

  &:focus,
  &:focus-visible {
    border: 0;
    outline: 0;
  }

  &::placeholder {
    color: rgba(2, 12, 30, 0.5);
  }

  @media (min-width: 768px) {
    font-size: 18px;
    height: 65px;
    width: 347.81px;
    padding: 0px 0 0px 28px;
  }
}

.successTitle {
  color: #fefb00;
  margin-top: 31px;
  margin-bottom: 0;
  font-family: Montserrat;
  font-style: normal;
  font-weight: 900;
  font-size: 20px;
  line-height: 24px;
  text-align: center;
  letter-spacing: 0.1em;
  text-transform: uppercase;
}

.successDescription {
  font-family: Montserrat;
  font-style: normal;
  font-weight: 600;
  font-size: 10px;
  line-height: 12px;
  letter-spacing: 0.02em;
  margin: 0;
  margin-top: 16px;
}

@media (min-width: 768px) {
  .successTitle {
    font-size: 25px;
    font-weight: 900;
    text-transform: uppercase;
    margin: 0;
    margin-top: 41px;
  }

  .successDescription {
    font-size: 16px;
    font-weight: 600;
    margin: 0;
    margin-top: 32px;
  }
}

.mobileHeader {
  font-size: 18px;
  line-height: 22px;
  text-align: center;
}

.headerImageLogo {
  margin: 0;
  margin-top: 27px;
}

.headerTextLogo {
  position: relative;
  top: -9px;
}
.withdrawals {
  position: relative;
  margin: 19px 0 0;
  font-family: Montserrat;
  font-style: normal;
  font-weight: 800;
  font-size: 10px;
  line-height: 12px;
  letter-spacing: 0.02em;
  color: #ffffff;
  margin-top: 12px;
  @media (min-width: 768px) {
    font-size: 12px;
    line-height: 15px;
    margin-top: 19px;
    margin-bottom: 0;
  }
}

.warning {
  text-align: center;
  font-size: 10px;
  font-weight: 500;
  color: '#FF9500';
}
.image {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  max-width: 100%;
  object-fit: contain;
  z-index: 1;
  filter: drop-shadow(0px 4px 100px rgba(125, 0, 235, 0.5));
}

.tokenVideo {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 5;
  pointer-events: none;
  user-select: none;
}
.loader {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  z-index: 99;
  opacity: 0.9;
  background-color: transparent;
}
.specialMessage {
  margin-top: 14px;
  color: gold;
  text-align: center;
}

.numberInputLabel {
  font-style: normal;
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
  text-align: center;
  letter-spacing: 0.02em;
  color: $c-white;
  margin: 32px 0 16px;
}

.tooltipPosition {
  position: absolute;
  bottom: 70px;
  right: 0px;
  @media (min-width: $breakpoint-md) {
    bottom: 45px;
    right: -12px;
  }
}
